---
title: Notification.requireInteraction
slug: Web/API/Notification/requireInteraction
tags:
  - API
  - Notification
  - Notifications
  - Notifications API
  - Property
  - Reference
  - Web
  - requireInteraction
---
<p>{{APIRef("Web Notifications")}}{{AvailableInWorkers}}{{securecontext_header}}</p>

<p>The <strong><code>requireInteraction</code></strong> read-only property of the {{domxref("Notification")}} interface returns a {{jsxref("Boolean")}} indicating that a notification should remain active until the user clicks or dismisses it, rather than closing automatically.</p>

<div class="note">
<p><strong>Note</strong>: This can be set when the notification is first created by setting the <code>requireInteraction</code> option to <code>true</code> in the options object of the {{domxref("Notification.Notification()")}} constructor.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js notranslate">function spawnNotification(theTitle,theBody,shouldRequireInteraction) {
  var options = {
      body: theBody,
      requireInteraction: shouldRequireInteraction
  }
  var n = new Notification(theTitle,options);
}</pre>

<h3 id="Return_Value">Value</h3>

<p>A {{jsxref("Boolean")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Notifications','#dom-notification-requireinteraction','requireInteraction')}}</td>
   <td>{{Spec2('Web Notifications')}}</td>
   <td>Living standard.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Notification.requireInteraction")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Notifications_API/Using_the_Notifications_API">Using the Notifications API</a></li>
</ul>
